using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.BusinessLogicsContracts
{
    public interface IOrderLogic
    {
        List<OrderViewModel>? ReadList(OrderSearchModel? model);
        OrderViewModel? ReadElement(OrderSearchModel model);
        bool Create(OrderBindingModel model);
        bool Delete(OrderBindingModel model);
        bool Update(OrderBindingModel model);
        bool AddCook(CookBindingModel model);
        bool AddTableware(TablewareBindingModel model);
    }
}
